/**
 * 创建任务js
 */

//选择父任务回调
function selectTaskCallback(input, value) {

    $.getJSON(ajaxGetTaskUrl, {no:value}, function(json){
        if (json.status == 1) {
            var data = json.data;
            $("#category-select").val(data.category_id);
            if (data.link_data !== undefined) {
                $("#link-input").val(data.link_data.name);
                $("#link-type").val(data.link_data.link_type.type);
                $("#link-id").val(data.link_data[data.link_data.link_type.link_field]);
            }
        }
    });
}

jQuery(function($) {

    //建立子任务时自动获取父任务的类别和关联
    if (isNewRecord == 1) {
        var parentValue = $("#parent-id").val();
        if (parentValue != '') {
            selectTaskCallback('', parentValue);
        }
    }

});
